#include <iostream>

using namespace std;

int main()
{
    int n; cin >> n;
    int x[n];
    int y[n];
    int z[n];
    for(int j = 0; j < n; j++)
            cin >> x[j];
    for(int j = 0; j < n; j++)
            cin >> y[j];
    for(int j = 0; j < n; j++)
            cin >> z[j];
    int w;
    for(int i = 0; i < n; i++)
    {
        for(int j = 0; j < n; j++)
        {
            if(x[i] == y[z[j]-1])
            {
                w++;

            }

        }

    }
    cout << w;

    return 0;
}